List observed packages
GET
Packages that passed through the firewalls in a period, with a summary of their known vulnerabilities.
header
AuthorizationBearer <token>A personal or service access token, sent as Authorization: Bearer <token>. See access tokens.
namespace*stringThe namespace id.
period?stringThe period to report on.
Default
"today"Value in
"today""7d""30d""90d"firewall?stringOnly packages seen by this firewall.
ecosystem?stringOnly packages from this ecosystem.
search?stringOnly packages whose name contains this text.
pageSize?integerPage size.
Range
1 <= value <= 500Default
50pageToken?stringThe nextPageToken of the previous page.
A page of observed packages.
application/json- response
A page of observed packages.
observations*array<>The observed packages.
nextPageToken*stringPass as pageToken to read the next page. Empty when there are no more.
total*integerHow many observed packages match the filters, across all pages.
ecosystems*array<string>The ecosystems with observations under the other filters, for choosing an ecosystem filter.
curl -X GET 'https://eu-sov-1.bytesafecloud.eu/v1/my-namespace-id/observations'{ "observations": [ { "firewall": "npm-main", "ecosystem": "npm", "packageName": "lodash", "version": "4.17.20", "internal": false, "firstSeen": "2026-02-24T09:30:00Z", "lastSeen": "2026-03-02T09:30:00Z", "count": 214, "vulnerabilities": { "noRisk": 0, "unknown": 0, "low": 0, "moderate": 1, "high": 1, "critical": 0, "total": 2 } } ], "nextPageToken": "", "total": 1, "ecosystems": [ "npm" ]}